# API Reference

This API reference is organized by resource type. Each resource type has one or more data representations and one or more methods.

## Bookshelf

For Bookshelf Resource details, see the [resource representation](https://developers.google.com/books/docs/v1/reference/bookshelves#resource) page.

| Method | REST URI \* | Description |
|---|---|---|
| [list](https://developers.google.com/books/docs/v1/reference/bookshelves/list) | `GET /users/userId/bookshelves` | Retrieves a list of public [Bookshelf resource](https://developers.google.com/books/docs/v1/reference/bookshelves) for the specified user. |
| [get](https://developers.google.com/books/docs/v1/reference/bookshelves/get) | `GET /users/userId/bookshelves/shelf` | Retrieves a specific [Bookshelf resource](https://developers.google.com/books/docs/v1/reference/bookshelves) for the specified user. |

\* Relative to the base URI: https://www.googleapis.com/books/v1

## Volume

For Volume Resource details, see the [resource representation](https://developers.google.com/books/docs/v1/reference/volumes#resource) page.

| Method | REST URI \* | Description |
|---|---|---|
| [get](https://developers.google.com/books/docs/v1/reference/volumes/get) | `GET /volumes/volumeId` | Retrieves a [Volume resource](https://developers.google.com/books/docs/v1/reference/volumes) based on ID. |
| [list](https://developers.google.com/books/docs/v1/reference/volumes/list) | `` GET /volumes?q=`{search terms}` `` | Performs a book search. |

\* Relative to the base URI: https://www.googleapis.com/books/v1

## Bookshelves.volumes

For Bookshelves.volumes Resource details, see the [resource representation](https://developers.google.com/books/docs/v1/reference/bookshelves/volumes#resource) page.

| Method | REST URI \* | Description |
|---|---|---|
| [list](https://developers.google.com/books/docs/v1/reference/bookshelves/volumes/list) | `GET /users/userId/bookshelves/shelf/volumes` | Retrieves volumes in a specific bookshelf for the specified user. |

\* Relative to the base URI: https://www.googleapis.com/books/v1

## Mylibrary.bookshelves

For Mylibrary.bookshelves Resource details, see the [resource representation](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves#resource) page.

| Method | REST URI \* | Description |
|---|---|---|
| [addVolume](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves/addVolume) | `POST /mylibrary/bookshelves/shelf/addVolume` | Adds a volume to a bookshelf. |
| [clearVolumes](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves/clearVolumes) | `POST /mylibrary/bookshelves/shelf/clearVolumes` | Clears all volumes from a bookshelf. |
| [get](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves/get) | `GET /mylibrary/bookshelves/shelf` | Retrieves metadata for a specific bookshelf belonging to the authenticated user. |
| [list](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves/list) | `GET /mylibrary/bookshelves` | Retrieves a list of bookshelves belonging to the authenticated user. |
| [moveVolume](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves/moveVolume) | `POST /mylibrary/bookshelves/shelf/moveVolume` | Moves a volume within a bookshelf. |
| [removeVolume](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves/removeVolume) | `POST /mylibrary/bookshelves/shelf/removeVolume` | Removes a volume from a bookshelf. |

\* Relative to the base URI: https://www.googleapis.com/books/v1

## Mylibrary.bookshelves.volumes

For Mylibrary.bookshelves.volumes Resource details, see the [resource representation](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves/volumes#resource) page.

| Method | REST URI \* | Description |
|---|---|---|
| [list](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves/volumes/list) | `GET /mylibrary/bookshelves/shelf/volumes` | Gets volume information for volumes on a bookshelf. |

\* Relative to the base URI: https://www.googleapis.com/books/v1